backend/models/Feedback.php
<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "feedback".
 *
 * @property string $pkFeedbackID
 * @property string $name
 * @property string $emailID
 * @property string $message
 * @property string $latitude
 * @property string $longitude
 * @property string $timestamp
 */
class Feedback extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'feedback';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'string', 'max' => 100],
            [['emailID'], 'string', 'max' => 200],
            [['message'], 'string', 'max' => 1000],
            [['latitude', 'longitude', 'timestamp'], 'string', 'max' => 20],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'pkFeedbackID' => 'Pk Feedback ID',
            'name' => 'Name',
            'emailID' => 'Email ID',
            'message' => 'Message',
            'latitude' => 'Latitude',
            'longitude' => 'Longitude',
            'timestamp' => 'Timestamp',
        ];
    }
}

backend/controllers/FeedbackController.php
<?php

namespace backend\controllers;

use Yii;
use backend\models\Feedback;
use backend\models\FeedbackSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;

/**
 * FeedbackController implements the CRUD actions for Feedback model.
 */
class FeedbackController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'actions' => ['login'],
                        'allow' => true,
                    ],
                    [
                       'actions' => ['view', 'index','create','update','delete'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
        ];
    }

    /**
     * Lists all Feedback models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new FeedbackSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Feedback model.
     * @param string $id
     * @return mixed
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Feedback model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    // public function actionCreate()
    // {
    //     $model = new Feedback();

    //     if ($model->load(Yii::$app->request->post()) && $model->save()) {
    //         return $this->redirect(['view', 'id' => $model->pkFeedbackID]);
    //     } else {
    //         return $this->render('create', [
    //             'model' => $model,
    //         ]);
    //     }
    // }

    /**
     * Updates an existing Feedback model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $id
     * @return mixed
     */
    // public function actionUpdate($id)
    // {
    //     $model = $this->findModel($id);

    //     if ($model->load(Yii::$app->request->post()) && $model->save()) {
    //         return $this->redirect(['view', 'id' => $model->pkFeedbackID]);
    //     } else {
    //         return $this->render('update', [
    //             'model' => $model,
    //         ]);
    //     }
    // }

    /**
     * Deletes an existing Feedback model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $id
     * @return mixed
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Feedback model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $id
     * @return Feedback the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Feedback::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}

backend/views/feedback/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model backend\models\Feedback */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="feedback-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'emailID')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'message')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'latitude')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'longitude')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'timestamp')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

backend/views/feedback/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model backend\models\FeedbackSearch */
/* @var $form yii\widgets\ActiveForm */
?>
<div class="col-md-12 searchCat">
<div class="box">
<div class="box-header">
<h3>Search</h3>
</div>

<div class="box-body">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <div class="row">
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'name')->textInput()->input('text', ['placeholder' => "User Name"])->label(false); ?>
         </div>
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'emailID')->textInput()->input('text', ['placeholder' => "Email"])->label(false); ?>
         </div>
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'latitude')->textInput()->input('text', ['placeholder' => "Latitude"])->label(false); ?>
         </div>
         <div class="col-lg-3 col-sm-4">
<?php echo $form->field($model, 'longitude')->textInput()->input('text', ['placeholder' => "Longitude"])->label(false); ?>
         </div>
    <div class="col-lg-3 col-sm-4">
        <?= Html::submitButton('Search', ['class' => 'btn btn-info']) ?>
    </div>

    <?php ActiveForm::end(); ?>
    </div>
</div>
</div>
</div>

backend/views/feedback/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model backend\models\Feedback */

$this->title = 'Create Feedback';
$this->params['breadcrumbs'][] = ['label' => 'Feedbacks', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="feedback-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

backend/views/feedback/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\FeedbackSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'All Feedbacks';
//$this->params['breadcrumbs'][] = $this->title;
?>
<section class="content-header">
        <h1><?= Html::encode($this->title) ?></h1>
    </section>
    <section class="content">

<?php echo $this->render('_search', ['model' => $searchModel]); ?>
    <div class="col-md-12">
    <div class="box">
    <div class="box-body">

      <?= GridView::widget([
        'dataProvider' => $dataProvider,
        //'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            [
                'attribute' => 'Name',
                'value' => function($dataProvider){ 
                    //echo '<pre>'; print_r($dataProvider); echo '</pre>'; die();
                        $url = Url::to(['feedback/view']);
                        $finalUrl = $url.'?id='.$dataProvider->pkFeedbackID;
                      return '<u><a href="'.$finalUrl.'">'.'<span class="adInfo">'.$dataProvider->name.'</span>'.'</a></u>';
                },
                'format' => 'html'
            ],
            [
                'attribute' => 'Email',
                'value' => 'emailID',
                'format' => 'html'
            ],
            [
                'attribute' => 'Message',
                'value' => function($dataProvider){ 
                 return '<small>'.$dataProvider->message.'</small>';
                },
                'format' => 'html'
            ],
            [
                'attribute' => 'Feedback Date/Time',
                'value' => function($dataProvider){
                      $timestamp = $dataProvider->timestamp;
                      $newDate = gmdate("j F Y, g:i a", $timestamp);
                      return '<span style="color:#00a65a">'.$newDate.'</span>';
                },
                'format' => 'html'
            ],
            ['class' => 'yii\grid\ActionColumn', 'template' => '{view}{delete}'],
        ],
    ]); ?>
      
    </div>
    </div>
    </div>


</section>

backend/views/feedback/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\Feedback */

$this->title = 'Update Feedback: ' . $model->name;
$this->params['breadcrumbs'][] = ['label' => 'Feedbacks', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->name, 'url' => ['view', 'id' => $model->pkFeedbackID]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="feedback-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

backend/views/feedback/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\Feedback */

$this->title = 'View Feedback';
// $this->params['breadcrumbs'][] = ['label' => 'Feedbacks', 'url' => ['index']];
// $this->params['breadcrumbs'][] = $this->title;
?>
<section class="content-header">
        <h1><?= Html::encode($this->title) ?></h1>
    </section>

    <section class="content">
    <div class="col-md-6">
        <?= Html::a('Delete', ['delete', 'id' => $model->pkFeedbackID], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </div>

<?php
$name = (isset($model->name)) ? $model->name : '';
$emailID = (isset($model->emailID)) ? $model->emailID : '';
$message = (isset($model->message)) ? $model->message : '';
$latitude = (isset($model->latitude)) ? $model->latitude : '';
$longitude = (isset($model->longitude)) ? $model->longitude : '';
$timestamp = (isset($model->timestamp)) ? $model->timestamp : '';
?>

    <div class="row">
    <div class="col-md-8 viewCat">
        <div class="box">
            <div class="box-header">
              <h3 class="box-title">Feedback Information</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <table class="table table-striped catView">
                <tbody>
                <tr>
                  <th>User Name</th>
                  <td><span class="adInfo"><?php echo $name;?></span></td>
                </tr>
                <tr>
                  <th>Email</th>
                  <td><?php echo $emailID;?></td>
                </tr>
                <tr>
                  <th>Message</th>
                  <td><?php echo $message;?></td>
                </tr>
                <tr>
                  <th>Latitude</th>
                  <td><?php echo $latitude;?></td>
                </tr>
                <tr>
                  <th>Longitude</th>
                  <td><?php echo $longitude;?></td>
                </tr>
                <tr>
                  <th>Date & Time of feedback</th>
                  <td><?php 
                  echo gmdate("j F Y, g:i a", $timestamp);?></td>
                </tr>
              </tbody></table>
            </div>
          </div>
          </div>
<!-- http://maps.google.com/maps/api/geocode/json?latlng=28.2542,77.25475 -->
</div>